Bug 901908 - [abrt] policycoreutils-gui-2.1.13-49.fc18: statusPage.py:180:read_selinux_config:OSError: [Errno 2] No such file or directory
Summary: [abrt] policycoreutils-gui-2.1.13-49.fc18: statusPage.py:180:read_selinux_con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3681fb9520de60f276743d74596...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-19 22:22 UTC by Steven Smith
Modified: 2013-04-03 04:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 04:51:21 UTC


Attachments (Terms of Use)
File: backtrace (772 bytes, text/plain)
2013-01-19 22:22 UTC, Steven Smith
no flags Details
File: core_backtrace (449 bytes, text/plain)
2013-01-19 22:22 UTC, Steven Smith
no flags Details
File: environ (182 bytes, text/plain)
2013-01-19 22:22 UTC, Steven Smith
no flags Details

Description Steven Smith 2013-01-19 22:22:46 UTC
Version-Release number of selected component:
policycoreutils-gui-2.1.13-49.fc18

Additional info:
cmdline:        /usr/bin/python -Es /usr/share/system-config-selinux/system-config-selinux.py
executable:     /usr/share/system-config-selinux/system-config-selinux.py
kernel:         3.7.2-201.fc18.x86_64
uid:            0

Truncated backtrace:
statusPage.py:180:read_selinux_config:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 192, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 88, in __init__
    self.add_page(statusPage.statusPage(xml))
  File "/usr/share/system-config-selinux/statusPage.py", line 79, in __init__
    if self.read_selinux_config() == None:
  File "/usr/share/system-config-selinux/statusPage.py", line 180, in read_selinux_config
    self.initEnabled = selinux.selinux_getenforcemode()[1]
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <statusPage.statusPage instance at 0xaff9ea8>

Comment 1 Steven Smith 2013-01-19 22:22:49 UTC
Created attachment 683307 [details]
File: backtrace

Comment 2 Steven Smith 2013-01-19 22:22:51 UTC
Created attachment 683308 [details]
File: core_backtrace

Comment 3 Steven Smith 2013-01-19 22:22:53 UTC
Created attachment 683309 [details]
File: environ

Comment 4 Daniel Walsh 2013-01-21 19:59:17 UTC
You are trying to run it without any selinux policy installed?

Comment 5 Daniel Walsh 2013-01-21 20:06:16 UTC
Fixed in policycoreutils-2.1.13-57.fc18

Anyways yum install selinux-policy-targeted

Should fix this problem.

Comment 6 Fedora Update System 2013-03-28 12:13:44 UTC
policycoreutils-2.1.13-59.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-59.fc18

Comment 7 Fedora Update System 2013-03-29 01:35:19 UTC
Package policycoreutils-2.1.13-59.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-59.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4555/policycoreutils-2.1.13-59.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-04-03 04:51:23 UTC
policycoreutils-2.1.13-59.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.